Bug 427620 - patchs to make d4x build on rawhide
patchs to make d4x build on rawhide
Product: Fedora
Classification: Fedora
Component: d4x (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Matthias Saou
Fedora Extras Quality Assurance
: 414241 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2008-01-05 10:14 EST by Caolan McNamara
Modified: 2013-01-09 23:32 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-01-07 04:26:26 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
patch to make build (882 bytes, patch)
2008-01-05 10:14 EST, Caolan McNamara
no flags Details | Diff
diff to spec (991 bytes, patch)
2008-01-05 10:15 EST, Caolan McNamara
no flags Details | Diff

  None (edit)
Description Caolan McNamara 2008-01-05 10:14:20 EST
d4x is still in the rawhide daily nagmail, here are some patch to make it fix.
The substantive patch and a patch to the .spec itself
Comment 1 Caolan McNamara 2008-01-05 10:14:20 EST
Created attachment 290885 [details]
patch to make build
Comment 2 Caolan McNamara 2008-01-05 10:15:19 EST
Created attachment 290886 [details]
diff to spec
Comment 3 Alex Lancaster 2008-01-06 02:16:22 EST
Since this has been waiting for some time, I applied patch and built d4x in rawhide:

* Sat Jan  5 2008 Alex Lancaster <alexlan[AT]fedoraproject org> -
- Add patch by Caolan McNamara (#427620) to build against new openssl  


Will leave open pending testing/review by maintainer.
Comment 4 Matthias Saou 2008-01-07 04:26:26 EST
Thanks a lot! I hadn't been able to fix the build issue myself, so I really
appreciate. Care to look at kannel? (same thing ;-))
Comment 5 Caolan McNamara 2008-01-07 04:42:46 EST
My belief is that kannel is failing to build due to some misconfiguration of a
TeX BuildRequirement, i.e. basically the same thing as bug 414381 so either
texlive, latex2html or something else in the chain need to be fixed. I know that
if I manually run mktexlsr and then rpmbuild kannel that it builds fine.
Comment 6 Matthias Saou 2008-01-17 08:45:18 EST
*** Bug 414241 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.